<?php
$tabindex = 0;
?>

<form autocomplete="off" name="edit">
    <input type="hidden" name="action" value="edit">
    <input type="hidden" name="timeout_extension" value="<?php echo $data_value['timeout_extension']; ?>">
    <input type="hidden" name="failover_extension" value="<?php echo $data_value['failover_extension']; ?>">
    <table>
        <tr class="only-library-pt1c-ver2">
            <td colspan="2">
                <div class="alert alert-info"> Для связи с 1С использует канал модуля <a href="/admin/config.php?display=pt1coutpanel">интеграции 1С и телефонии</a>!</div>
            </td>
        </tr>
        <tr>
            <td colspan="2">
                <h5>Настройки связи с 1С:Предприятием
                    <hr>
                </h5>
            </td>
        </tr>
        <tr>
            <td>
                <a href="#" class="info">Версия подсистемы интеграции на стороне 1С<span>Версия влияет на то, по какому вебсервису модуль будет связываться с 1С</span></a>
            </td>
            <td>
                <select class="form-control" id="library_1c" name="library_1c" tabindex="<?php echo ++$tabindex; ?>">
                    <option value="1.0">Версия 1.0</option>
                    <option value="2.0" <?php echo ($data_value['library_1c'] === '2.0') ? ' SELECTED':''?> >Версия 2.0</option>
                </select>
            </td>
        </tr>
        <tr class="only-library-pt1c-ver1">
            <td>
                <a href="#" class="info">Адрес web сервера 1С<span>Введите адрес сервера, где опубликован веб-сервис 1С</span></a>
            </td>
            <td>
                <input type="text" name="server1chost" value="<?php echo '' . $data_value['server1chost'] ?>" tabindex="<?php echo ++$tabindex; ?>">
            </td>
        </tr>
        <tr class="only-library-pt1c-ver1">
            <td>
                <a href="#" class="info">Порт web сервера 1С<span>Введите порт, где опубликован веб-сервис 1С обычно 80 или 443</span></a>
            </td>
            <td>
                <input type="number" name="server1cport" value="<?php echo '' . $data_value['server1cport'] ?>" tabindex="<?php echo ++$tabindex; ?>">
            </td>
        </tr>
        <tr class="only-library-pt1c-ver1">
            <div class="form-group">
                <td>
                    <a href="#" class="info">Протокол подключения к 1С<span></span></a>
                </td>
                <td>
                    <div class="radioset">
                        <input type="radio" name="useSSL" id="useSSLNo" value="0" <?php echo ( $data_value['useSSL'] !== '1' ? 'checked' : '')?>/>
                        <label for="useSSLNo">HTTP</label>
                        <input type="radio" name="useSSL" id="useSSLYes" value="1" <?php echo ($data_value['useSSL'] === '1' ? 'checked' : '')?>/>
                        <label for="useSSLYes">HTTPS</label>
                    </div>
                </td>
            </div>
        </tr>
        <tr class="only-library-pt1c-ver1">
            <td>
                <a href="#" class="info">Имя 1С (публикация на web сервере)<span>Имя опубликованной базы 1С:Предприятие.</span></a>
            </td>
            <td>
                <input type="text" name="database" value="<?php echo '' . $data_value['database'] ?>" tabindex="<?php echo ++$tabindex; ?>">
            </td>
        </tr>

        <tr class="only-library-pt1c-ver1">
            <td>
                <a href="#" class="info">Имя пользователя 1С:Предприятие<span>У которого есть права доступа к веб-сервису</span></a>
            </td>
            <td>
                <input type="text" name="login" value="<?php echo '' . $data_value['login'] ?>" tabindex="<?php echo ++$tabindex; ?>">
            </td>
        </tr>
        <tr class="only-library-pt1c-ver1">
            <td>
                <a href="#" class="info">Пароль пользователя 1С</a>
            </td>
            <td>
                <input type="password" name="secret" value="<?php echo '' . $data_value['secret'] ?>" tabindex="<?php echo ++$tabindex; ?>">
            </td>
        </tr>
        <tr>
            <td colspan="2"><br>
                <h5>Номер по-умолчанию, если абонент не выбрал ни один из пунктов меню
                    <hr>
                </h5>
            </td>
        </tr>

        <?php
        // draw goto selects
        if (isset($data_value)) {
            echo drawselects($data_value['timeout_extension'], 0);
        } else {
            echo drawselects(null, 0);
        }
        ?>

        <tr>
            <td colspan="2"><br>
                <h5>Номер, куда отправим звонок в случае сбоев связи с 1С или TTS
                    <hr>
                </h5>
            </td>
        </tr>

        <?php
        // draw goto selects
        if (isset($data_value)) {
            echo drawselects($data_value['failover_extension'], 1);
        } else {
            echo drawselects(null, 1);
        }
        ?>
        <tr>
            <td colspan="2"><br>
                <h5>Прочее:
                    <hr>
                </h5>
            </td>
        </tr>
        <tr>
            <td>
                <a href="#" class="info">Длина внутреннего номера<span>IVR будет ожидать ввода указанного числа символов</span></a>
            </td>
            <td>
                <input type="number" max="10" min="1" name="internal_ext_length" value="<?php echo '' . $data_value['internal_ext_length'] ?>" tabindex="<?php echo ++$tabindex; ?>">
            </td>
        </tr>
        <tr>
            <td>
                <a href="#" class="info">Количество повторов IVR меню перед переводом на номер по-умолчанию<span></span></a>
            </td>
            <td>
                <input type="number" max="10" min="1" name="number_of_repeat" value="<?php echo '' . $data_value['number_of_repeat'] ?>" tabindex="<?php echo ++$tabindex; ?>">
            </td>
        </tr>
        <tr>
            <td>
                <a href="#" class="info">Режим отладки модуля<span>Сохранять в log файл все взаимодействия с 1С и TTS службами</span></a>
            </td>
            <td>
                <div class="radioset">
                    <input type="radio" name="debug_mode" id="DebugModeNo" value="0" <?php echo ( $data_value['debug_mode'] !== 1 ? 'checked' : '')?>/>
                    <label for="DebugModeNo">Отключен</label>
                    <input type="radio" name="debug_mode" id="DebugModeYes" value="1" <?php echo ($data_value['debug_mode'] === 1 ? 'checked' : '')?>/>
                    <label for="DebugModeYes">Включен</label>
                </div>
            </td>
        </tr>

        <tr>
            <td colspan="1">
                <br>
                <input name="Submit" class="btn btn-primary" value="Сохранить настройки" id='submit-button' tabindex="<?php echo ++$tabindex; ?>">
            </td>
            <td colspan="1">
                <br>
                <a class="btn btn-default" id='check-button' tabindex="<?php echo ++$tabindex; ?>"><i class="fa fa-refresh loader"></i> Проверить работу модуля</a>

            </td>
        </tr>

    </table>
    <br>
    <br>
    <div id="self-test">

    </div>
</form>
