<?php
if (!defined('FREEPBX_IS_AUTH')) { die('No direct script access allowed'); }

global $db;
global $amp_conf;



outn('Build server table...');
$table = \FreePBX::Database()->migrate('pt1csmartivr');
$cols = array (
    'server1chost' =>
        array (
            'type' => 'string',
            'length' => '1000',
        ),
    'server1cport' =>
        array (
            'type' => 'integer',
        ),
    'login' =>
        array (
            'type' => 'string',
            'length' => '1000',
        ),
    'secret' =>
        array (
            'type' => 'string',
            'length' => '1000',
        ),
    'timeout_extension' =>
        array (
            'type' => 'string',
            'length' => '1000',
        ),
    'failover_extension' =>
        array (
            'type' => 'string',
            'length' => '1000',
        ),
    'database' =>
        array (
            'type' => 'string',
            'length' => '1000',
        ),
    'useSSL' =>
        array (
            'type' => 'string',
            'length' => '1',
        ),
    'extension' =>
        array (
            'type' => 'string',
            'length' => '1000',
        ),
    'number_of_repeat' =>
        array (
            'type' => 'integer',
        ),
    'library_1c' =>
        array (
            'type' => 'string',
            'length' => '3',
        ),
    'amiUser' =>
        array (
            'type' => 'string',
            'length' => '1000',
        ),
    'amiPassword' =>
        array (
            'type' => 'string',
            'length' => '1000',
        ),
    'internal_ext_length' =>
        array (
            'type' => 'integer',
        ),
    'debug_mode' =>
        array (
            'type' => 'integer',
        ),
);


$indexes = array (
);
$table->modify($cols, $indexes);
unset($table);

out('Done');

$results = $db->getAll("SELECT * FROM pt1csmartivr");
if(empty($results)) {
    outn('New installed detected, adding default server...');
    $db->query("INSERT INTO pt1csmartivr (`server1chost`, `server1cport`, `login`, `secret`, `timeout_extension`, `failover_extension`, `database`, `useSSL`, `extension`, `number_of_repeat`, `library_1c`,`amiUser`,`amiPassword`,`internal_ext_length`, `debug_mode`) VALUES ('', 80, '', '', '', '', '', '', '10000123', 2, '2.0','smartivrusr','dsjfhsdjfhj34283dhs',3,1)");
    out('Done');
}