<?php
/**
 * Copyright (C) MIKO LLC - All Rights Reserved
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 * Written by Nikolay Beketov, 12 2019
 *
 */

namespace FreePBX\modules\Pt1csmartivr\lib;
use FreePBX;
class Logger
{
    private $logger;
    public $debug;

    /**
     * Logger constructor.
     *
     * @param $class
     * @param $moduleId
     */
        public function __construct($class, $moduleId)
        {
            $logdir = FreePBX::Config()->get("ASTLOGDIR").'/ModuleSmartIVR.log';
            $this->logger = FreePBX::Logger()->createLogDriver('pt1csmartivr', $logdir);
            $this->debug = true;
        }

        public function writeError($data)
        {
            if ($this->debug){
                $this->logger->error(get_parent_class().': '.urldecode(print_r($data,true)));
            }
        }

        public function writeInfo($data)
        {
            if ($this->debug){
                $this->logger ->info(get_parent_class().': '.urldecode(print_r($data,true)));
            }
        }

}